#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, s = 0;
	cin>>n;
    vector <int> v(n);
    for(int i = 0; i < n; i++)
    {
        cin >> v[i];
    }
    sort(v.begin(), v.end());
    while(v.size() > 0)
    {
        if(v.size() == 1)
        {
            s += v[0];
            v.erase(v.begin() + v.size() - 1);
        }
        else
        {
            s += v[v.size() - 1];
            int t = v[v.size() - 1];
            v.erase(v.begin() + v.size() - 1);
            for(int i = v.size() - 1; i >= 0; i--)
            {
                if(v[i] != t)
                {
                    v[i]--;
                    if(v[i] == 0)
                    {
                        v.erase(v.begin() + i);
                    }
                }
            }
        }
    }
    cout << s;
}
